Link Device
curl --request POST \
--url https://api.example.com/api/v1/devices \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/devices"
payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.example.com/api/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"status": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}devices
Link Device
Start linking a WhatsApp device (public alias of engine account link).
Poll GET /devices/{device_id}/qr after this returns.
POST
/
api
/
v1
/
devices
Link Device
curl --request POST \
--url https://api.example.com/api/v1/devices \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/devices"
payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.example.com/api/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"status": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Body
application/json